## whichman 2.0

=== Makefile ===
# written by Guido Socher
PREFIX=/usr
INSTALL=install
MANP=man1/whichman.1 man1/ftff.1 man1/ftwhich.1
CC=gcc
CFLAGS= -Wall -O2
#sun c/c++-compiler:
#CC=CC
#CFLAGS= -O

all:whichman ftff ftwhich

whichman: whichman.o levdist.o
	$(CC) -o $@ whichman.o levdist.o

ftwhich: ftwhich.o levdist.o
	$(CC) -o $@ ftwhich.o levdist.o

ftff: ftff.o levdist.o 
	$(CC) -o $@ ftff.o levdist.o

whichman.o: whichman.c 
	$(CC) $(CFLAGS) -c whichman.c
ftwhich.o: ftwhich.c 
	$(CC) $(CFLAGS) -c ftwhich.c
ftff.o: ftff.c 
	$(CC) $(CFLAGS) -c ftff.c
levdist.o: levdist.c levdist.h
	$(CC) $(CFLAGS) -c levdist.c

install: whichman ftff ftwhich $(MANP)
	strip whichman
	strip ftwhich
	strip ftff
	[ -d "$(PREFIX)/bin" ] || $(INSTALL) -d $(PREFIX)/bin
	[ -d "$(PREFIX)/man/man1" ] || $(INSTALL) -d $(PREFIX)/man/man1
	$(INSTALL) -m 755 whichman $(PREFIX)/bin
	$(INSTALL) -m 755 ftwhich $(PREFIX)/bin
	$(INSTALL) -m 755 ftff $(PREFIX)/bin
	for p in $(MANP) ; do \
		echo "installing $$p in $(PREFIX)/man/man1"; \
		$(INSTALL) -m 644 $$p $(PREFIX)/man/man1 ;\
	done

install_with_cp: whichman ftff ftwhich $(MANP)
	chmod 755 whichman ftff ftwhich
	[ -d "$(PREFIX)/bin" ] || mkdir -p $(PREFIX)/bin
	cp whichman ftff ftwhich $(PREFIX)/bin
	chmod 644 $(MANP)
	[ -d "$(PREFIX)/man/man1" ] || mkdir -p $(PREFIX)/man/man1
	cp $(MANP) $(PREFIX)/man/man1

debug: levdist.c
	$(CC) $(CFLAGS) -o levdebug -DDEBUG -DRETURNVALUE levdist.c

clean:
	rm -f whichman ftff ftwhich *.o levdebug
