=== debian/watch ===
version=2
http://linuxfocus.org/~guido/whichman-([\d\.]+)\.tar\.gz
